package com.ruoyi.system.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.NavInfo;
import com.ruoyi.system.domain.NewsInfo;
import com.ruoyi.system.service.INewsInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;

/**
 * @description:
 * @author: 11375
 * @date: 2021/12/29 14:37
 */
@RestController
@RequestMapping("/website/news")
public class RastNewsController extends BaseController {


    @Autowired
    private INewsInfoService newsInfoService;

    @GetMapping("/list")
    public TableDataInfo list(NewsInfo newsInfo)
    {

        startPage();
        List<NewsInfo> list = newsInfoService.selectNewsInfoList(newsInfo);
        return getDataTable(list);
    }

    @PostMapping("/listPost")
    public TableDataInfo listPost(NewsInfo newsInfo, @RequestParam("beginNewsInfoTime") String start,
                                  @RequestParam("endNewsInfoTime") String end
    )
    {
        if(start!=null&&end!=null){
            HashMap<String,Object> map=new HashMap<>();
            map.put("beginNewsInfoTime",start);
            map.put("endNewsInfoTime",end);
            newsInfo.setParams(map);
        }
        startPage();
        List<NewsInfo> list = newsInfoService.selectNewsInfoList(newsInfo);
        return getDataTable(list);
    }

}
