package com.ruoyi.system.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.NavInfo;
import com.ruoyi.system.domain.NewsInfo;
import com.ruoyi.system.service.INavInfoService;
import com.ruoyi.system.service.INewsInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: 11375
 * @date: 2021/12/29 14:06
 */
@RestController
@RequestMapping("/website/nav")
public class RestNavController extends BaseController {

    @Autowired
    private INavInfoService navInfoService;

    @GetMapping("/list")
    public TableDataInfo list(NavInfo navInfo)
    {
        startPage();
        List<NavInfo> list = navInfoService.selectNavInfoList(navInfo);
        List<NavInfo> list1=new ArrayList<>();
        for (NavInfo item:list){
            if (item.getNavParent()==0){
                list1.add(item);
            }
        }

        list1.sort((final NavInfo c1, final NavInfo c2)->c1.getNavOrder().compareTo(c2.getNavOrder()));
        for (NavInfo item:list1){
            List<NavInfo> list2=new ArrayList<>();
            for (NavInfo item1:list){
                if (item1.getNavParent()==item.getNavId()){
                  list2.add(item1);
                }
            }
            item.setNavInfos(list2);
        }


        return getDataTable(list1);
    }

}
