package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文章管理对象 news_info
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
public class NewsInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 新闻编号 */
    @Excel(name = "新闻编号")
    private Long newsInfoId;

    /** 新闻标题 */
    @Excel(name = "新闻标题")
    private String newsInfoTitle;

    /** 新闻作者 */
    @Excel(name = "新闻作者")
    private String newsInfoAuthor;

    /** 新闻来源 */
    @Excel(name = "新闻来源")
    private String newsInfoSource;

    /** 新闻时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "新闻时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date newsInfoTime;

    /** 新闻点击数量 */
    @Excel(name = "新闻点击数量")
    private Long newsInfoClick;

    /** 创建新闻时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建新闻时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date newsInfoInittime;

    /** 新闻类型 */
    @Excel(name = "新闻类型")
    private Long newsInfoType;

    /** 是否是轮播(0不是，1是) */
    @Excel(name = "是否是轮播(0不是，1是)")
    private Long newsInfoCarousel;

    /** 是否为静态轮播(0不是，1是) */
    @Excel(name = "是否为静态轮播(0不是，1是)")
    private Long newsInfoSc;

    /** 是否为推荐文章(0不是，1是) */
    @Excel(name = "是否为推荐文章(0不是，1是)")
    private Long newsInfoRecommend;

    /** 封面地址 */
    private String newsInfoUrl;

    /** 用户作者id */
    private Long newsInfoAuthorid;

    /** 新闻正文 */
    private String newsInfoContent;

    public void setNewsInfoId(Long newsInfoId) 
    {
        this.newsInfoId = newsInfoId;
    }

    public Long getNewsInfoId() 
    {
        return newsInfoId;
    }
    public void setNewsInfoTitle(String newsInfoTitle) 
    {
        this.newsInfoTitle = newsInfoTitle;
    }

    public String getNewsInfoTitle() 
    {
        return newsInfoTitle;
    }
    public void setNewsInfoAuthor(String newsInfoAuthor) 
    {
        this.newsInfoAuthor = newsInfoAuthor;
    }

    public String getNewsInfoAuthor() 
    {
        return newsInfoAuthor;
    }
    public void setNewsInfoSource(String newsInfoSource) 
    {
        this.newsInfoSource = newsInfoSource;
    }

    public String getNewsInfoSource() 
    {
        return newsInfoSource;
    }
    public void setNewsInfoTime(Date newsInfoTime) 
    {
        this.newsInfoTime = newsInfoTime;
    }

    public Date getNewsInfoTime() 
    {
        return newsInfoTime;
    }
    public void setNewsInfoClick(Long newsInfoClick) 
    {
        this.newsInfoClick = newsInfoClick;
    }

    public Long getNewsInfoClick() 
    {
        return newsInfoClick;
    }
    public void setNewsInfoInittime(Date newsInfoInittime) 
    {
        this.newsInfoInittime = newsInfoInittime;
    }

    public Date getNewsInfoInittime() 
    {
        return newsInfoInittime;
    }
    public void setNewsInfoType(Long newsInfoType) 
    {
        this.newsInfoType = newsInfoType;
    }

    public Long getNewsInfoType() 
    {
        return newsInfoType;
    }
    public void setNewsInfoCarousel(Long newsInfoCarousel) 
    {
        this.newsInfoCarousel = newsInfoCarousel;
    }

    public Long getNewsInfoCarousel() 
    {
        return newsInfoCarousel;
    }
    public void setNewsInfoSc(Long newsInfoSc) 
    {
        this.newsInfoSc = newsInfoSc;
    }

    public Long getNewsInfoSc() 
    {
        return newsInfoSc;
    }
    public void setNewsInfoRecommend(Long newsInfoRecommend) 
    {
        this.newsInfoRecommend = newsInfoRecommend;
    }

    public Long getNewsInfoRecommend() 
    {
        return newsInfoRecommend;
    }
    public void setNewsInfoUrl(String newsInfoUrl) 
    {
        this.newsInfoUrl = newsInfoUrl;
    }

    public String getNewsInfoUrl() 
    {
        return newsInfoUrl;
    }
    public void setNewsInfoAuthorid(Long newsInfoAuthorid) 
    {
        this.newsInfoAuthorid = newsInfoAuthorid;
    }

    public Long getNewsInfoAuthorid() 
    {
        return newsInfoAuthorid;
    }
    public void setNewsInfoContent(String newsInfoContent) 
    {
        this.newsInfoContent = newsInfoContent;
    }

    public String getNewsInfoContent() 
    {
        return newsInfoContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("newsInfoId", getNewsInfoId())
            .append("newsInfoTitle", getNewsInfoTitle())
            .append("newsInfoAuthor", getNewsInfoAuthor())
            .append("newsInfoSource", getNewsInfoSource())
            .append("newsInfoTime", getNewsInfoTime())
            .append("newsInfoClick", getNewsInfoClick())
            .append("newsInfoInittime", getNewsInfoInittime())
            .append("newsInfoType", getNewsInfoType())
            .append("newsInfoCarousel", getNewsInfoCarousel())
            .append("newsInfoSc", getNewsInfoSc())
            .append("newsInfoRecommend", getNewsInfoRecommend())
            .append("newsInfoUrl", getNewsInfoUrl())
            .append("newsInfoAuthorid", getNewsInfoAuthorid())
            .append("newsInfoContent", getNewsInfoContent())
            .toString();
    }
}
