package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.NavInfo;
import com.ruoyi.common.core.domain.Ztree;

/**
 * 中关村导航管理Service接口
 * 
 * @author ruoyi
 * @date 2021-12-29
 */
public interface INavInfoService 
{
    /**
     * 查询中关村导航管理
     * 
     * @param navId 中关村导航管理主键
     * @return 中关村导航管理
     */
    public NavInfo selectNavInfoByNavId(Long navId);

    /**
     * 查询中关村导航管理列表
     * 
     * @param navInfo 中关村导航管理
     * @return 中关村导航管理集合
     */
    public List<NavInfo> selectNavInfoList(NavInfo navInfo);

    /**
     * 新增中关村导航管理
     * 
     * @param navInfo 中关村导航管理
     * @return 结果
     */
    public int insertNavInfo(NavInfo navInfo);

    /**
     * 修改中关村导航管理
     * 
     * @param navInfo 中关村导航管理
     * @return 结果
     */
    public int updateNavInfo(NavInfo navInfo);

    /**
     * 批量删除中关村导航管理
     * 
     * @param navIds 需要删除的中关村导航管理主键集合
     * @return 结果
     */
    public int deleteNavInfoByNavIds(String navIds);

    /**
     * 删除中关村导航管理信息
     * 
     * @param navId 中关村导航管理主键
     * @return 结果
     */
    public int deleteNavInfoByNavId(Long navId);

    /**
     * 查询中关村导航管理树列表
     * 
     * @return 所有中关村导航管理信息
     */
    public List<Ztree> selectNavInfoTree();
}
