package com.ruoyi.system.service.impl;

import java.util.List;
import java.util.ArrayList;
import com.ruoyi.common.core.domain.Ztree;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.NavInfoMapper;
import com.ruoyi.system.domain.NavInfo;
import com.ruoyi.system.service.INavInfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 中关村导航管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-12-29
 */
@Service
public class NavInfoServiceImpl implements INavInfoService 
{
    @Autowired
    private NavInfoMapper navInfoMapper;

    /**
     * 查询中关村导航管理
     * 
     * @param navId 中关村导航管理主键
     * @return 中关村导航管理
     */
    @Override
    public NavInfo selectNavInfoByNavId(Long navId)
    {
        return navInfoMapper.selectNavInfoByNavId(navId);
    }

    /**
     * 查询中关村导航管理列表
     * 
     * @param navInfo 中关村导航管理
     * @return 中关村导航管理
     */
    @Override
    public List<NavInfo> selectNavInfoList(NavInfo navInfo)
    {
        return navInfoMapper.selectNavInfoList(navInfo);
    }

    /**
     * 新增中关村导航管理
     * 
     * @param navInfo 中关村导航管理
     * @return 结果
     */
    @Override
    public int insertNavInfo(NavInfo navInfo)
    {
        return navInfoMapper.insertNavInfo(navInfo);
    }

    /**
     * 修改中关村导航管理
     * 
     * @param navInfo 中关村导航管理
     * @return 结果
     */
    @Override
    public int updateNavInfo(NavInfo navInfo)
    {
        return navInfoMapper.updateNavInfo(navInfo);
    }

    /**
     * 批量删除中关村导航管理
     * 
     * @param navIds 需要删除的中关村导航管理主键
     * @return 结果
     */
    @Override
    public int deleteNavInfoByNavIds(String navIds)
    {
        return navInfoMapper.deleteNavInfoByNavIds(Convert.toStrArray(navIds));
    }

    /**
     * 删除中关村导航管理信息
     * 
     * @param navId 中关村导航管理主键
     * @return 结果
     */
    @Override
    public int deleteNavInfoByNavId(Long navId)
    {
        return navInfoMapper.deleteNavInfoByNavId(navId);
    }

    /**
     * 查询中关村导航管理树列表
     * 
     * @return 所有中关村导航管理信息
     */
    @Override
    public List<Ztree> selectNavInfoTree()
    {
        List<NavInfo> navInfoList = navInfoMapper.selectNavInfoList(new NavInfo());
        List<Ztree> ztrees = new ArrayList<Ztree>();
        for (NavInfo navInfo : navInfoList)
        {
            Ztree ztree = new Ztree();
            ztree.setId(navInfo.getNavId());
            ztree.setpId(navInfo.getNavParent());
            ztree.setName(navInfo.getNavTitle());
            ztree.setTitle(navInfo.getNavTitle());
            ztrees.add(ztree);
        }
        return ztrees;
    }
}
