package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.NewsInfoMapper;
import com.ruoyi.system.domain.NewsInfo;
import com.ruoyi.system.service.INewsInfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 文章管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
@Service
public class NewsInfoServiceImpl implements INewsInfoService 
{
    @Autowired
    private NewsInfoMapper newsInfoMapper;

    /**
     * 查询文章管理
     * 
     * @param newsInfoId 文章管理主键
     * @return 文章管理
     */
    @Override
    public NewsInfo selectNewsInfoByNewsInfoId(Long newsInfoId)
    {
        return newsInfoMapper.selectNewsInfoByNewsInfoId(newsInfoId);
    }

    /**
     * 查询文章管理列表
     * 
     * @param newsInfo 文章管理
     * @return 文章管理
     */
    @Override
    public List<NewsInfo> selectNewsInfoList(NewsInfo newsInfo)
    {
        return newsInfoMapper.selectNewsInfoList(newsInfo);
    }

    /**
     * 新增文章管理
     * 
     * @param newsInfo 文章管理
     * @return 结果
     */
    @Override
    public int insertNewsInfo(NewsInfo newsInfo)
    {
        return newsInfoMapper.insertNewsInfo(newsInfo);
    }

    /**
     * 修改文章管理
     * 
     * @param newsInfo 文章管理
     * @return 结果
     */
    @Override
    public int updateNewsInfo(NewsInfo newsInfo)
    {
        return newsInfoMapper.updateNewsInfo(newsInfo);
    }

    /**
     * 批量删除文章管理
     * 
     * @param newsInfoIds 需要删除的文章管理主键
     * @return 结果
     */
    @Override
    public int deleteNewsInfoByNewsInfoIds(String newsInfoIds)
    {
        return newsInfoMapper.deleteNewsInfoByNewsInfoIds(Convert.toStrArray(newsInfoIds));
    }

    /**
     * 删除文章管理信息
     * 
     * @param newsInfoId 文章管理主键
     * @return 结果
     */
    @Override
    public int deleteNewsInfoByNewsInfoId(Long newsInfoId)
    {
        return newsInfoMapper.deleteNewsInfoByNewsInfoId(newsInfoId);
    }
}
