package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.NewsInfo;

/**
 * 文章管理Mapper接口
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
public interface NewsInfoMapper 
{
    /**
     * 查询文章管理
     * 
     * @param newsInfoId 文章管理主键
     * @return 文章管理
     */
    public NewsInfo selectNewsInfoByNewsInfoId(Long newsInfoId);

    /**
     * 查询文章管理列表
     * 
     * @param newsInfo 文章管理
     * @return 文章管理集合
     */
    public List<NewsInfo> selectNewsInfoList(NewsInfo newsInfo);

    /**
     * 新增文章管理
     * 
     * @param newsInfo 文章管理
     * @return 结果
     */
    public int insertNewsInfo(NewsInfo newsInfo);

    /**
     * 修改文章管理
     * 
     * @param newsInfo 文章管理
     * @return 结果
     */
    public int updateNewsInfo(NewsInfo newsInfo);

    /**
     * 删除文章管理
     * 
     * @param newsInfoId 文章管理主键
     * @return 结果
     */
    public int deleteNewsInfoByNewsInfoId(Long newsInfoId);

    /**
     * 批量删除文章管理
     * 
     * @param newsInfoIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNewsInfoByNewsInfoIds(String[] newsInfoIds);
}
